Bug 93376 - Suppressions directory
Summary: Suppressions directory
Status: CONFIRMED
Alias: None
Product: valgrind
Classification: Unclassified
Component: general (show other bugs)
Version: 2.3 CVS
Platform: Compiled Sources Linux
: NOR wishlist with 30 votes (vote)
Target Milestone: ---
Assignee: Julian Seward
URL:
Keywords:
: 93377 93379 93385 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-11-16 17:56 UTC by Andrés Roldán
Modified: 2020-06-22 17:30 UTC (History)
6 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch which fixes the bug (6.67 KB, patch)
2019-09-20 01:21 UTC, Asher Gordon
Details
Patch which fixes the bug (including documentation) (8.57 KB, patch)
2019-09-23 22:57 UTC, Asher Gordon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrés Roldán 2004-11-16 17:56:45 UTC
It would be great if valgrind provided a directory (say /usr/lib/valgrind/supp.
d/) where specific programs could put arbitrarily suppressions files for their 
execution and valgrind could interpret and concatenate the files stored there. A 
good example is Python2.{3,4} which provides a valgrind suppression file and it 
needs to be added by the user or the OS packager in a distribution-independent 
suppression file.

It's just a thought and therefore marked as "wishlist".

Thanks.
Comment 1 Nicholas Nethercote 2004-11-16 18:13:31 UTC
Hmm, interesting.  I think you'd need a way to be able to ignore a given 
suppression file in that directory.

I'm collecting a list of potential suppression improvements, which I'll 
hopefully act on one day.  I've added this to the list.  Thanks.

Comment 2 Tom Hughes 2004-11-16 19:40:36 UTC
*** Bug 93377 has been marked as a duplicate of this bug. ***
Comment 3 Tom Hughes 2004-11-16 19:40:51 UTC
*** Bug 93379 has been marked as a duplicate of this bug. ***
Comment 4 Tom Hughes 2004-11-16 19:41:06 UTC
*** Bug 93385 has been marked as a duplicate of this bug. ***
Comment 5 Reuben Thomas 2011-05-20 23:59:51 UTC
Further, it'd be lovely if --suppressions accepted a directory argument and loaded all the suppressions files in that directory. My use case is for setting default suppressions in VALGRIND_OPTS, which at the moment I have to populate manually each time I add a suppressions file to my (thankfully small) collection.
Comment 6 Asher Gordon 2019-09-20 01:21:19 UTC
Created attachment 122747 [details]
Patch which fixes the bug
Comment 7 Asher Gordon 2019-09-20 01:21:49 UTC
Hello,

I've written a patch to fix the bug. Please see the attachment (created with git format-patch).

Apparently, I'm supposed to use Phabricator for patches. It's usage seems pretty complicated though, so I've just used an attachment. Is that OK?

Thanks,
Asher
Comment 8 Mark Wielaard 2019-09-23 10:08:15 UTC
(In reply to Asher Gordon from comment #7)
> Apparently, I'm supposed to use Phabricator for patches. It's usage seems
> pretty complicated though, so I've just used an attachment. Is that OK?

Yes, thanks! Phabricator is used by the KDE project, but valgrind isn't really a KDE project, we just use their bug tracker for the project.
Comment 9 Asher Gordon 2019-09-23 22:57:12 UTC
Created attachment 122828 [details]
Patch which fixes the bug (including documentation)

Hello,

I've updated the patch to include changes to the documentation (docs/xml/manual-core.xml).

I hope this gets incorporated into Valgrind soon! :)

Enjoy,
Asher
Comment 10 Asher Gordon 2019-09-24 01:04:17 UTC
Hello,

I noticed that the valgrind-developers mailing list [1] has some patch emails. Should I send my patch there also so that it can reach more developers?

Thanks,
Asher

[1] https://sourceforge.net/p/valgrind/mailman/valgrind-developers/
Comment 11 Asher Gordon 2019-10-03 00:37:12 UTC
(In reply to Asher Gordon from comment #10)
Hi,

> I noticed that the valgrind-developers mailing list [1] has some patch
> emails. Should I send my patch there also so that it can reach more
> developers?

I haven't received any reply on this. It looks like a lot of the emails are automatically generated from commits, but there are some patch emails which look like they were sent with git send-email.

I'm going to send a patch email to the mailing list so that it can hopefully reach more developers.

Asher
Comment 12 Asher Gordon 2019-10-03 00:44:04 UTC
(In reply to Asher Gordon from comment #11)
> I'm going to send a patch email to the mailing list so that it can hopefully
> reach more developers.

Actually never mind. Apparently, I can't send anything to the mailing list unless I'm subscribed (which I don't particularly want to do). :-(

Asher
Comment 13 Asher Gordon 2020-06-22 17:30:55 UTC
I realize it's been a little while, but is there any chance that this patch could be applied soon? I think it's a useful feature, and hardly likely to break compatibility or anyone's workflows, so I don't see any reason not to implement it.